﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Configuration;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            ListBox lb = (((sender as TextBox).Parent as StackPanel).Children[1] as ListBox);
            foreach (var item in lb.ItemsSource as ReadOnlyObservableCollection<FieldChooserEntry>)
            {
                if ((sender as TextBox).Text.ToString() != "")
                {
                    if (item.Field.Name.ToLower().Contains((sender as TextBox).Text.ToLower()))
                    {
                        (lb.ItemContainerGenerator.ContainerFromItem(item) as ListBoxItem).Visibility = Visibility.Visible;
                    }
                    else
                        (lb.ItemContainerGenerator.ContainerFromItem(item) as ListBoxItem).Visibility = Visibility.Collapsed;
                }
                else
                    (lb.ItemContainerGenerator.ContainerFromItem(item) as ListBoxItem).Visibility = Visibility.Visible;
            }
        }
    }
}
